package com.gingersoft.gsa.cloud.common.ui.bean.mode;

import java.util.List;

public class BrandsBean {

    private boolean success = false;
    private String code;
    private String message;
    private long sysTime;
    private List<BrandsData> data;

    public static class BrandsData {
        /**
         * brandId : 242
         * brandName : 莫拉塔
         * restaurants : []
         */

        private int brandId;
        private String brandName;
        private List<RestaurantsBean> restaurants;

        public int getBrandId() {
            return brandId;
        }

        public void setBrandId(int brandId) {
            this.brandId = brandId;
        }

        public String getBrandName() {
            return brandName;
        }

        public void setBrandName(String brandName) {
            this.brandName = brandName;
        }

        public List<RestaurantsBean> getRestaurants() {
            return restaurants;
        }

        public void setRestaurants(List<RestaurantsBean> restaurants) {
            this.restaurants = restaurants;
        }

        public class RestaurantsBean {

            private int restaurantId;
            private String restaurantName;
            private String gsPosShopId;

            public int getRestaurantId() {
                return restaurantId;
            }

            public void setRestaurantId(int restaurantId) {
                this.restaurantId = restaurantId;
            }

            public String getRestaurantName() {
                return restaurantName;
            }

            public void setRestaurantName(String restaurantName) {
                this.restaurantName = restaurantName;
            }

            public String getGsPosShopId() {
                return gsPosShopId;
            }

            public void setGsPosShopId(String gsPosShopId) {
                this.gsPosShopId = gsPosShopId;
            }

            @Override
            public String toString() {
                return "RestaurantsBean{" +
                        "restaurantId=" + restaurantId +
                        ", restaurantName='" + restaurantName + '\'' +
                        ", gsPosShopId='" + gsPosShopId + '\'' +
                        '}';
            }
        }

        @Override
        public String toString() {
            return "BrandsBean{" +
                    "brandId=" + brandId +
                    ", brandName='" + brandName + '\'' +
                    ", restaurants=" + restaurants +
                    '}';
        }
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<BrandsData> getData() {
        return data;
    }

    public void setData(List<BrandsData> data) {
        this.data = data;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
